Bug 114502 - loader has a hardcoded limit of 50 modules
Summary: loader has a hardcoded limit of 50 modules
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: anaconda (Show other bugs)
(Show other bugs)
Version: 1.0
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Jeremy Katz
QA Contact: Mike McLean
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-01-28 20:19 UTC by Bill Nottingham
Modified: 2014-03-17 02:41 UTC (History)
1 user (show)

Fixed In Version: FC3
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-09-21 20:44:13 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Bill Nottingham 2004-01-28 20:19:24 UTC
loader2/modules.h:
...
struct moduleList_s {
    struct loadedModuleInfo mods[50];
    int numModules;
};
...

Discovered this when loader --test was crashing very very early with a
blown stack.

Comment 1 Jeremy Katz 2004-01-28 21:15:50 UTC
You're loading 50 modules?  You're crazy ;-)

Comment 2 Bill Nottingham 2004-01-28 22:05:30 UTC
I'm running in test mode. I have 55 modules loaded.

Blame ALSA. :)


Comment 3 Jeremy Katz 2005-09-21 20:44:13 UTC
Not going to fix this until it becomes a problem in real installs

Comment 4 Bill Nottingham 2005-09-21 20:54:29 UTC
Hm, perhaps I should have closed this when I committed the patch in February 2004.


Note You need to log in before you can comment on or make changes to this bug.